- Elementary
- Main
- Authors
- Examples
- Files
- Pages
- Types
- Modules

Macros | Functions
Slider

## Macros
#define | elm_obj_slider_span_size_set(size) ELM_OBJ_SLIDER_ID(ELM_OBJ_SLIDER_SUB_ID_SPAN_SIZE_SET), EO_TYPECHECK(Evas_Coord, size)
#define | elm_obj_slider_span_size_get(ret) ELM_OBJ_SLIDER_ID(ELM_OBJ_SLIDER_SUB_ID_SPAN_SIZE_GET), EO_TYPECHECK(Evas_Coord *, ret)
#define | elm_obj_slider_unit_format_set(units) ELM_OBJ_SLIDER_ID(ELM_OBJ_SLIDER_SUB_ID_UNIT_FORMAT_SET), EO_TYPECHECK(const char *, units)
#define | elm_obj_slider_unit_format_get(ret) ELM_OBJ_SLIDER_ID(ELM_OBJ_SLIDER_SUB_ID_UNIT_FORMAT_GET), EO_TYPECHECK(const char **, ret)
#define | elm_obj_slider_indicator_format_set(indicator) ELM_OBJ_SLIDER_ID(ELM_OBJ_SLIDER_SUB_ID_INDICATOR_FORMAT_SET), EO_TYPECHECK(const char *, indicator)
#define | elm_obj_slider_indicator_format_get(ret) ELM_OBJ_SLIDER_ID(ELM_OBJ_SLIDER_SUB_ID_INDICATOR_FORMAT_GET), EO_TYPECHECK(const char **, ret)
#define | elm_obj_slider_horizontal_set(horizontal) ELM_OBJ_SLIDER_ID(ELM_OBJ_SLIDER_SUB_ID_HORIZONTAL_SET), EO_TYPECHECK(Eina_Bool, horizontal)
#define | elm_obj_slider_horizontal_get(ret) ELM_OBJ_SLIDER_ID(ELM_OBJ_SLIDER_SUB_ID_HORIZONTAL_GET), EO_TYPECHECK(Eina_Bool *, ret)
#define | elm_obj_slider_min_max_set(min, max) ELM_OBJ_SLIDER_ID(ELM_OBJ_SLIDER_SUB_ID_MIN_MAX_SET), EO_TYPECHECK(double, min), EO_TYPECHECK(double, max)
#define | elm_obj_slider_min_max_get(min, max) ELM_OBJ_SLIDER_ID(ELM_OBJ_SLIDER_SUB_ID_MIN_MAX_GET), EO_TYPECHECK(double *, min), EO_TYPECHECK(double *, max)
#define | elm_obj_slider_value_set(val) ELM_OBJ_SLIDER_ID(ELM_OBJ_SLIDER_SUB_ID_VALUE_SET), EO_TYPECHECK(double, val)
#define | elm_obj_slider_value_get(ret) ELM_OBJ_SLIDER_ID(ELM_OBJ_SLIDER_SUB_ID_VALUE_GET), EO_TYPECHECK(double *, ret)
#define | elm_obj_slider_inverted_set(inverted) ELM_OBJ_SLIDER_ID(ELM_OBJ_SLIDER_SUB_ID_INVERTED_SET), EO_TYPECHECK(Eina_Bool, inverted)
#define | elm_obj_slider_inverted_get(ret) ELM_OBJ_SLIDER_ID(ELM_OBJ_SLIDER_SUB_ID_INVERTED_GET), EO_TYPECHECK(Eina_Bool *, ret)
#define | elm_obj_slider_indicator_format_function_set(func, free_func) ELM_OBJ_SLIDER_ID(ELM_OBJ_SLIDER_SUB_ID_INDICATOR_FORMAT_FUNCTION_SET), EO_TYPECHECK(slider_func_type, func), EO_TYPECHECK(slider_freefunc_type, free_func)
#define | elm_obj_slider_units_format_function_set(func, free_func) ELM_OBJ_SLIDER_ID(ELM_OBJ_SLIDER_SUB_ID_UNITS_FORMAT_FUNCTION_SET), EO_TYPECHECK(slider_func_type, func), EO_TYPECHECK(slider_freefunc_type, free_func)
#define | elm_obj_slider_indicator_show_set(show) ELM_OBJ_SLIDER_ID(ELM_OBJ_SLIDER_SUB_ID_INDICATOR_SHOW_SET), EO_TYPECHECK(Eina_Bool, show)
#define | elm_obj_slider_indicator_show_get(ret) ELM_OBJ_SLIDER_ID(ELM_OBJ_SLIDER_SUB_ID_INDICATOR_SHOW_GET), EO_TYPECHECK(Eina_Bool *, ret)
#define | elm_obj_slider_step_set(step) ELM_OBJ_SLIDER_ID(ELM_OBJ_SLIDER_SUB_ID_STEP_SET), EO_TYPECHECK(double, step)
#define | elm_obj_slider_step_get(ret) ELM_OBJ_SLIDER_ID(ELM_OBJ_SLIDER_SUB_ID_STEP_GET), EO_TYPECHECK(double *, ret)

## Functions
Evas_Object * | elm_slider_add (Evas_Object *parent)
| Add a new slider widget to the given parent Elementary (container) object. More...
void | elm_slider_span_size_set (Evas_Object *obj, Evas_Coord size)
| Set the (exact) length of the bar region of a given slider widget. More...
Evas_Coord | elm_slider_span_size_get (const Evas_Object *obj)
| Get the length set for the bar region of a given slider widget. More...
void | elm_slider_unit_format_set (Evas_Object *obj, const char *format)
| Set the format string for the unit label. More...
const char * | elm_slider_unit_format_get (const Evas_Object *obj)
| Get the unit label format of the slider. More...
void | elm_slider_indicator_format_set (Evas_Object *obj, const char *indicator)
| Set the format string for the indicator label. More...
const char * | elm_slider_indicator_format_get (const Evas_Object *obj)
| Get the indicator label format of the slider. More...
void | elm_slider_horizontal_set (Evas_Object *obj, Eina_Bool horizontal)
| Set the orientation of a given slider widget. More...
Eina_Bool | elm_slider_horizontal_get (const Evas_Object *obj)
| Retrieve the orientation of a given slider widget. More...
void | elm_slider_min_max_set (Evas_Object *obj, double min, double max)
| Set the minimum and maximum values for the slider. More...
void | elm_slider_min_max_get (const Evas_Object *obj, double *min, double *max)
| Get the minimum and maximum values of the slider. More...
void | elm_slider_value_set (Evas_Object *obj, double val)
| Set the value the slider displays. More...
double | elm_slider_value_get (const Evas_Object *obj)
| Get the value displayed by the slider. More...
void | elm_slider_inverted_set (Evas_Object *obj, Eina_Bool inverted)
| Invert a given slider widget's displaying values order. More...
Eina_Bool | elm_slider_inverted_get (const Evas_Object *obj)
| Get whether a given slider widget's displaying values are inverted or not. More...
void | elm_slider_indicator_format_function_set (Evas_Object *obj, char *(*func)(double val), void(*free_func)(char *str))
| Set the format function pointer for the indicator label. More...
void | elm_slider_units_format_function_set (Evas_Object *obj, char *(*func)(double val), void(*free_func)(char *str))
| Set the format function pointer for the units label. More...
void | elm_slider_indicator_show_set (Evas_Object *obj, Eina_Bool show)
| Set whether to enlarge slider indicator (augmented knob) or not. More...
Eina_Bool | elm_slider_indicator_show_get (const Evas_Object *obj)
| Get whether a given slider widget's enlarging indicator or not. More...
void | elm_slider_step_set (Evas_Object *obj, double step)
| Set the step by which slider indicator will move. More...
double | elm_slider_step_get (const Evas_Object *obj)
| Get the step by which slider indicator moves. More...

## Detailed Description

The slider adds a draggable “slider” widget for selecting the value of something within a range.

A slider can be horizontal or vertical. It can contain an Icon and has a primary label as well as a units label (that is formatted with floating point values and thus accepts a printf-style format string, like “%1.2f units”. There is also an indicator string that may be somewhere else (like on the slider itself) that also accepts a format string like units. Label, Icon Unit and Indicator strings/objects are optional.

A slider may be inverted which means values invert, with high vales being on the left or top and low values on the right or bottom (as opposed to normally being low on the left or top and high on the bottom and right).

The slider should have its minimum and maximum values set by the application with elm_slider_min_max_set() and value should also be set by the application before use with elm_slider_value_set(). The span of the slider is its length (horizontally or vertically). This will be scaled by the object or applications scaling factor. At any point code can query the slider for its value with elm_slider_value_get().

This widget inherits from the Layout one, so that all the functions acting on it also work for slider objects.

This widget emits the following signals, besides the ones sent from Layout:

- `"changed"` - Whenever the slider value is changed by the user.
- `"slider,drag,start"` - dragging the slider indicator around has started.
- `"slider,drag,stop"` - dragging the slider indicator around has stopped.
- `"delay,changed"` - A short time after the value is changed by the user. This will be called only when the user stops dragging for a very short period or when they release their finger/mouse, so it avoids possibly expensive reactions to the value change.
- `"focused"` - When the slider has received focus. (since 1.8)
- `"unfocused"` - When the slider has lost focus. (since 1.8)

Available styles for it:

- `"default"`

Default content parts of the slider widget that you can use for are:

- "icon" - An icon of the slider
- "end" - A end part content of the slider

Default text parts of the slider widget that you can use for are:

- "default" - Label of the slider

Supported elm_object common APIs.

- elm_object_disabled_set
- elm_object_disabled_get
- elm_object_part_text_set
- elm_object_part_text_get
- elm_object_part_content_set
- elm_object_part_content_get
- elm_object_part_content_unset

Here is an example on its usage:

- Slider widget example

## Macro Definition Documentation

#define elm_obj_slider_horizontal_get | ( |  | ret | ) | ELM_OBJ_SLIDER_ID(ELM_OBJ_SLIDER_SUB_ID_HORIZONTAL_GET), EO_TYPECHECK(Eina_Bool *, ret)

Since
  1.8

Retrieve the orientation of a given slider widget

Parameters

  [out] | ret |

See Also
  elm_slider_horizontal_get

Referenced by elm_slider_horizontal_get().

#define elm_obj_slider_horizontal_set | ( |  | horizontal | ) | ELM_OBJ_SLIDER_ID(ELM_OBJ_SLIDER_SUB_ID_HORIZONTAL_SET), EO_TYPECHECK(Eina_Bool, horizontal)

Since
  1.8

Set the orientation of a given slider widget.

Parameters

  [in] | horizontal |

See Also
  elm_slider_horizontal_set

Referenced by elm_slider_horizontal_set().

#define elm_obj_slider_indicator_format_function_set | ( |  | func,
|  |  | free_func
| ) |  | ELM_OBJ_SLIDER_ID(ELM_OBJ_SLIDER_SUB_ID_INDICATOR_FORMAT_FUNCTION_SET), EO_TYPECHECK(slider_func_type, func), EO_TYPECHECK(slider_freefunc_type, free_func)

Since
  1.8

Set the format function pointer for the indicator label

Parameters

  [in] | func |
  [in] | free_func |

See Also
  elm_slider_indicator_format_function_set

#define elm_obj_slider_indicator_format_get | ( |  | ret | ) | ELM_OBJ_SLIDER_ID(ELM_OBJ_SLIDER_SUB_ID_INDICATOR_FORMAT_GET), EO_TYPECHECK(const char **, ret)

Since
  1.8

Get the indicator label format of the slider.

Parameters

  [out] | ret |

See Also
  elm_slider_indicator_format_get

Referenced by elm_slider_indicator_format_get().

#define elm_obj_slider_indicator_format_set | ( |  | indicator | ) | ELM_OBJ_SLIDER_ID(ELM_OBJ_SLIDER_SUB_ID_INDICATOR_FORMAT_SET), EO_TYPECHECK(const char *, indicator)

Since
  1.8

Set the format string for the indicator label.

Parameters

  [in] | indicator |

See Also
  elm_slider_indicator_format_set

Referenced by elm_slider_indicator_format_set().

#define elm_obj_slider_indicator_show_get | ( |  | ret | ) | ELM_OBJ_SLIDER_ID(ELM_OBJ_SLIDER_SUB_ID_INDICATOR_SHOW_GET), EO_TYPECHECK(Eina_Bool *, ret)

Since
  1.8

Get whether a given slider widget's enlarging indicator or not.

Parameters

  [out] | ret |

See Also
  elm_slider_indicator_show_get

Referenced by elm_slider_indicator_show_get().

#define elm_obj_slider_indicator_show_set | ( |  | show | ) | ELM_OBJ_SLIDER_ID(ELM_OBJ_SLIDER_SUB_ID_INDICATOR_SHOW_SET), EO_TYPECHECK(Eina_Bool, show)

Since
  1.8

Set whether to enlarge slider indicator (augmented knob) or not.

Parameters

  [in] | show |

See Also
  elm_slider_indicator_show_set

Referenced by elm_slider_indicator_show_set().

#define elm_obj_slider_inverted_get | ( |  | ret | ) | ELM_OBJ_SLIDER_ID(ELM_OBJ_SLIDER_SUB_ID_INVERTED_GET), EO_TYPECHECK(Eina_Bool *, ret)

Since
  1.8

Get whether a given slider widget's displaying values are inverted or not.

Parameters

  [out] | ret |

See Also
  elm_slider_inverted_get

Referenced by elm_slider_inverted_get().

#define elm_obj_slider_inverted_set | ( |  | inverted | ) | ELM_OBJ_SLIDER_ID(ELM_OBJ_SLIDER_SUB_ID_INVERTED_SET), EO_TYPECHECK(Eina_Bool, inverted)

Since
  1.8

Invert a given slider widget's displaying values order

Parameters

  [in] | inverted |

See Also
  elm_slider_inverted_set

Referenced by elm_slider_inverted_set().

#define elm_obj_slider_min_max_get | ( |  | min,
|  |  | max
| ) |  | ELM_OBJ_SLIDER_ID(ELM_OBJ_SLIDER_SUB_ID_MIN_MAX_GET), EO_TYPECHECK(double *, min), EO_TYPECHECK(double *, max)

Since
  1.8

Get the minimum and maximum values of the slider.

Parameters

  [out] | min |
  [out] | max |

See Also
  elm_slider_min_max_get

Referenced by elm_slider_min_max_get().

#define elm_obj_slider_min_max_set | ( |  | min,
|  |  | max
| ) |  | ELM_OBJ_SLIDER_ID(ELM_OBJ_SLIDER_SUB_ID_MIN_MAX_SET), EO_TYPECHECK(double, min), EO_TYPECHECK(double, max)

Since
  1.8

Set the minimum and maximum values for the slider.

Parameters

  [in] | min |
  [in] | max |

See Also
  elm_slider_min_max_set

Referenced by elm_slider_min_max_set().

#define elm_obj_slider_span_size_get | ( |  | ret | ) | ELM_OBJ_SLIDER_ID(ELM_OBJ_SLIDER_SUB_ID_SPAN_SIZE_GET), EO_TYPECHECK(Evas_Coord *, ret)

Since
  1.8

Get the length set for the bar region of a given slider widget

Parameters

  [out] | ret |

See Also
  elm_slider_span_size_get

Referenced by elm_slider_span_size_get().

#define elm_obj_slider_span_size_set | ( |  | size | ) | ELM_OBJ_SLIDER_ID(ELM_OBJ_SLIDER_SUB_ID_SPAN_SIZE_SET), EO_TYPECHECK(Evas_Coord, size)

Since
  1.8

Set the (exact) length of the bar region of a given slider widget.

Parameters

  [in] | size |

See Also
  elm_slider_span_size_set

Referenced by elm_slider_span_size_set().

#define elm_obj_slider_step_get | ( |  | ret | ) | ELM_OBJ_SLIDER_ID(ELM_OBJ_SLIDER_SUB_ID_STEP_GET), EO_TYPECHECK(double *, ret)

Since
  1.8

Get the step by which slider indicator moves.

Parameters

  [out] | ret |

See Also
  elm_slider_step_get

Referenced by elm_slider_step_get().

#define elm_obj_slider_step_set | ( |  | step | ) | ELM_OBJ_SLIDER_ID(ELM_OBJ_SLIDER_SUB_ID_STEP_SET), EO_TYPECHECK(double, step)

Since
  1.8

Set the step by which slider indicator will move.

This value is used when draggable object is moved automatically i.e., in case of key event when up/down/left/right key is pressed or in case when accessibility is set and flick event is used to inc/dec slider values. By default step value is equal to 0.05.

Parameters

  [in] | step |

See Also
  elm_slider_step_set

Referenced by elm_slider_step_set().

#define elm_obj_slider_unit_format_get | ( |  | ret | ) | ELM_OBJ_SLIDER_ID(ELM_OBJ_SLIDER_SUB_ID_UNIT_FORMAT_GET), EO_TYPECHECK(const char **, ret)

Since
  1.8

Get the unit label format of the slider.

Parameters

  [out] | ret |

See Also
  elm_slider_unit_format_get

Referenced by elm_slider_unit_format_get().

#define elm_obj_slider_unit_format_set | ( |  | units | ) | ELM_OBJ_SLIDER_ID(ELM_OBJ_SLIDER_SUB_ID_UNIT_FORMAT_SET), EO_TYPECHECK(const char *, units)

Since
  1.8

Set the format string for the unit label.

Parameters

  [in] | units |

See Also
  elm_slider_unit_format_set

Referenced by elm_slider_unit_format_set().

#define elm_obj_slider_units_format_function_set | ( |  | func,
|  |  | free_func
| ) |  | ELM_OBJ_SLIDER_ID(ELM_OBJ_SLIDER_SUB_ID_UNITS_FORMAT_FUNCTION_SET), EO_TYPECHECK(slider_func_type, func), EO_TYPECHECK(slider_freefunc_type, free_func)

Since
  1.8

Set the format function pointer for the units label

Parameters

  [in] | func |
  [in] | free_func |

See Also
  elm_slider_units_format_function_set

#define elm_obj_slider_value_get | ( |  | ret | ) | ELM_OBJ_SLIDER_ID(ELM_OBJ_SLIDER_SUB_ID_VALUE_GET), EO_TYPECHECK(double *, ret)

Since
  1.8

Get the value displayed by the slider.

Parameters

  [out] | ret |

See Also
  elm_slider_value_get

Referenced by elm_slider_value_get().

#define elm_obj_slider_value_set | ( |  | val | ) | ELM_OBJ_SLIDER_ID(ELM_OBJ_SLIDER_SUB_ID_VALUE_SET), EO_TYPECHECK(double, val)

Since
  1.8

Set the value the slider displays.

Parameters

  [in] | val |

See Also
  elm_slider_value_set

Referenced by elm_slider_value_set().

## Function Documentation

Evas_Object* elm_slider_add | ( | Evas_Object * | parent | ) |

Add a new slider widget to the given parent Elementary (container) object.

Parameters

  parent | The parent object.

Returns
  a new slider widget handle or `NULL`, on errors.

This function inserts a new slider widget on the canvas.

Eina_Bool elm_slider_horizontal_get | ( | const Evas_Object * | obj | ) |

Retrieve the orientation of a given slider widget.

Parameters

  obj | The slider object.

Returns
  `EINA_TRUE`, if `obj` is set to be horizontal, `EINA_FALSE` if it's vertical (and on errors).

See Also
  elm_slider_horizontal_set() for more details.

References elm_obj_slider_horizontal_get.

void elm_slider_horizontal_set | ( | Evas_Object * | obj,
|  | Eina_Bool | horizontal
| ) |  |

Set the orientation of a given slider widget.

Parameters

  obj | The slider object.
  horizontal | Use `EINA_TRUE` to make `obj` to be horizontal, `EINA_FALSE` to make it vertical.

Use this function to change how your slider is to be disposed: vertically or horizontally.

By default it's displayed horizontally.

See Also
  elm_slider_horizontal_get()

References elm_obj_slider_horizontal_set.

void elm_slider_indicator_format_function_set | ( | Evas_Object * | obj,
|  | char *(*)(double val) | func,
|  | void(*)(char *str) | free_func
| ) |  |

Set the format function pointer for the indicator label.

Parameters

  obj | The slider object.
  func | The indicator format function.
  free_func | The freeing function for the format string.

Set the callback function to format the indicator string.

See Also
  elm_slider_indicator_format_set() for more info on how this works.

Examples:
  slider_example.c.

const char* elm_slider_indicator_format_get | ( | const Evas_Object * | obj | ) |

Get the indicator label format of the slider.

Parameters

  obj | The slider object.

Returns
  The indicator label format string in UTF-8.

The slider may display its value somewhere else then unit label, for example, above the slider knob that is dragged around. This function gets the format string used for this.

See Also
  elm_slider_indicator_format_set() for more information on how this works.

References elm_obj_slider_indicator_format_get.

void elm_slider_indicator_format_set | ( | Evas_Object * | obj,
|  | const char * | indicator
| ) |  |

Set the format string for the indicator label.

Parameters

  obj | The slider object.
  indicator | The format string for the indicator display.

The slider may display its value somewhere else then unit label, for example, above the slider knob that is dragged around. This function sets the format string used for this.

If `NULL`, indicator label won't be visible. If not it sets the format string for the label text. To the label text is provided a floating point value, so the label text can display up to 1 floating point value. Note that this is optional.

Use a format string such as "%1.2f meters" for example, and it will display values like: "3.14 meters" for a value equal to 3.14159.

Default is indicator label disabled.

See Also
  elm_slider_indicator_format_get()

References elm_obj_slider_indicator_format_set.

Eina_Bool elm_slider_indicator_show_get | ( | const Evas_Object * | obj | ) |

Get whether a given slider widget's enlarging indicator or not.

Parameters

  obj | The slider object.

Returns
  `EINA_TRUE`, if `obj` is enlarging indicator, or `EINA_FALSE` otherwise (and on errors).

See Also
  elm_slider_indicator_show_set() for details.

References elm_obj_slider_indicator_show_get.

void elm_slider_indicator_show_set | ( | Evas_Object * | obj,
|  | Eina_Bool | show
| ) |  |

Set whether to enlarge slider indicator (augmented knob) or not.

Parameters

  obj | The slider object.
  show | `EINA_TRUE` will make it enlarge, `EINA_FALSE` will let the knob always at default size.

By default, indicator will be bigger while dragged by the user.

Warning
  It won't display values set with elm_slider_indicator_format_set() if you disable indicator.

References elm_obj_slider_indicator_show_set.

Eina_Bool elm_slider_inverted_get | ( | const Evas_Object * | obj | ) |

Get whether a given slider widget's displaying values are inverted or not.

Parameters

  obj | The slider object.

Returns
  `EINA_TRUE`, if `obj` has inverted values, `EINA_FALSE` otherwise (and on errors).

See Also
  elm_slider_inverted_set() for more details.

References elm_obj_slider_inverted_get.

void elm_slider_inverted_set | ( | Evas_Object * | obj,
|  | Eina_Bool | inverted
| ) |  |

Invert a given slider widget's displaying values order.

Parameters

  obj | The slider object.
  inverted | Use `EINA_TRUE` to make `obj` inverted, `EINA_FALSE` to bring it back to default, non-inverted values.

A slider may be inverted, in which state it gets its values inverted, with high vales being on the left or top and low values on the right or bottom, as opposed to normally have the low values on the former and high values on the latter, respectively, for horizontal and vertical modes.

See Also
  elm_slider_inverted_get()

References elm_obj_slider_inverted_set.

void elm_slider_min_max_get | ( | const Evas_Object * | obj,
|  | double * | min,
|  | double * | max
| ) |  |

Get the minimum and maximum values of the slider.

Parameters

  obj | The slider object.
  min | Pointer to store the minimum value.
  max | Pointer to store the maximum value.

Note
  If only one value is needed, the other pointer can be passed as `NULL`.

See Also
  elm_slider_min_max_set() for details.

References elm_obj_slider_min_max_get.

void elm_slider_min_max_set | ( | Evas_Object * | obj,
|  | double | min,
|  | double | max
| ) |  |

Set the minimum and maximum values for the slider.

Parameters

  obj | The slider object.
  min | The minimum value.
  max | The maximum value.

Define the allowed range of values to be selected by the user.

If actual value is less than `min`, it will be updated to `min`. If it is bigger then `max`, will be updated to `max`. Actual value can be get with elm_slider_value_get().

By default, min is equal to 0.0, and max is equal to 1.0.

Warning
  Maximum must be greater than minimum, otherwise behavior is undefined.

See Also
  elm_slider_min_max_get()

References elm_obj_slider_min_max_set.

Evas_Coord elm_slider_span_size_get | ( | const Evas_Object * | obj | ) |

Get the length set for the bar region of a given slider widget.

Parameters

  obj | The slider object.

Returns
  The length of the slider's bar region.

If that size was not set previously, with elm_slider_span_size_set(), this call will return `0`.

References elm_obj_slider_span_size_get.

void elm_slider_span_size_set | ( | Evas_Object * | obj,
|  | Evas_Coord | size
| ) |  |

Set the (exact) length of the bar region of a given slider widget.

Parameters

  obj | The slider object.
  size | The length of the slider's bar region.

This sets the minimum width (when in horizontal mode) or height (when in vertical mode) of the actual bar area of the slider `obj`. This in turn affects the object's minimum size. Use this when you're not setting other size hints expanding on the given direction (like weight and alignment hints) and you would like it to have a specific size.

Note
  Icon, end, label, indicator and unit text around `obj` will require their own space, which will make `obj` to require more the `size`, actually.

See Also
  elm_slider_span_size_get()

References elm_obj_slider_span_size_set.

double elm_slider_step_get | ( | const Evas_Object * | obj | ) |

Get the step by which slider indicator moves.

Parameters

  obj | The slider object.

Returns
  The step value.

See Also
  elm_slider_step_set() for more details.

References elm_obj_slider_step_get.

void elm_slider_step_set | ( | Evas_Object * | obj,
|  | double | step
| ) |  |

Set the step by which slider indicator will move.

Parameters

  obj | The slider object.
  step | The step value.

This value is used when draggable object is moved automatically i.e., in case of key event when up/down/left/right key is pressed or in case when accessibility is set and flick event is used to inc/dec slider values. By default step value is equal to 0.05.

See Also
  elm_slider_step_get() for more details.

References elm_obj_slider_step_set.

const char* elm_slider_unit_format_get | ( | const Evas_Object * | obj | ) |

Get the unit label format of the slider.

Parameters

  obj | The slider object.

Returns
  The unit label format string in UTF-8.

Unit label is displayed all the time, if set, after slider's bar. In horizontal mode, at right and in vertical mode, at bottom.

See Also
  elm_slider_unit_format_set() for more information on how this works.

References elm_obj_slider_unit_format_get.

void elm_slider_unit_format_set | ( | Evas_Object * | obj,
|  | const char * | format
| ) |  |

Set the format string for the unit label.

Parameters

  obj | The slider object.
  format | The format string for the unit display.

Unit label is displayed all the time, if set, after slider's bar. In horizontal mode, at right and in vertical mode, at bottom.

If `NULL`, unit label won't be visible. If not it sets the format string for the label text. To the label text is provided a floating point value, so the label text can display up to 1 floating point value. Note that this is optional.

Use a format string such as "%1.2f meters" for example, and it will display values like: "3.14 meters" for a value equal to 3.14159.

Default is unit label disabled.

See Also
  elm_slider_indicator_format_get()

References elm_obj_slider_unit_format_set.

void elm_slider_units_format_function_set | ( | Evas_Object * | obj,
|  | char *(*)(double val) | func,
|  | void(*)(char *str) | free_func
| ) |  |

Set the format function pointer for the units label.

Parameters

  obj | The slider object.
  func | The units format function.
  free_func | The freeing function for the format string.

Set the callback function to format the units string.

See Also
  elm_slider_unit_format_set() for more info on how this works.

double elm_slider_value_get | ( | const Evas_Object * | obj | ) |

Get the value displayed by the slider.

Parameters

  obj | The slider object.

Returns
  The value displayed.

See Also
  elm_slider_value_set() for details.

References elm_obj_slider_value_get.

void elm_slider_value_set | ( | Evas_Object * | obj,
|  | double | val
| ) |  |

Set the value the slider displays.

Parameters

  obj | The slider object.
  val | The value to be displayed.

Value will be presented on the unit label following format specified with elm_slider_unit_format_set() and on indicator with elm_slider_indicator_format_set().

Warning
  The value must to be between min and max values. This values are set by elm_slider_min_max_set().

See Also
  elm_slider_value_get()
  elm_slider_unit_format_set()
  elm_slider_indicator_format_set()
  elm_slider_min_max_set()

References elm_obj_slider_value_set.

Copyright ©2000-2014 Enlightenment.org - Samsung Electronics supports the EFL Documentation Project - Generated Wed Jan 8 2014 20:51:14